commit:     9c1be06f189d3f38084fd986db0fab452ec7a159
Author:     Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
AuthorDate: Fri Oct  2 09:47:56 2015 +0000
Commit:     Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
CommitDate: Fri Oct  2 09:48:07 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9c1be06f

x11-misc/xplanetFX: version bump

Package-Manager: portage-2.2.22

 x11-misc/xplanetFX/Manifest               |  1 +
 x11-misc/xplanetFX/xplanetFX-2.6.6.ebuild | 60 +++++++++++++++++++++++++++++++
 2 files changed, 61 insertions(+)

diff --git a/x11-misc/xplanetFX/Manifest b/x11-misc/xplanetFX/Manifest
index c6d44c6..ad8af30 100644
--- a/x11-misc/xplanetFX/Manifest
+++ b/x11-misc/xplanetFX/Manifest
@@ -1 +1,2 @@
 DIST xplanetfx-2.6.4_all.tar.gz 36871474 SHA256 
0c7ea5783103f00867eecc1603e598b89fd52bd19954fd2976e3aa89390813ca SHA512 
dd8a31d77dcf536be712239b73d185b19dde8bfe3ba3c3acdeb31ce1101e5d9c524c89a645cd737d824f44c6553d7bd2962c4bd2a7e2ac11f405e5828cfcac91
 WHIRLPOOL 
2cde850922e0c67e73c55dc104a1e4dca91da1cefe5bf79149e2818e3184af8d71d1436021e964957dd5bcc5b7d858326ea242d5a8158382628acde42ecd07c4
+DIST xplanetfx-2.6.6_all.tar.gz 36871897 SHA256 
59c49af68b6cafcbe4ebfd65979181a7f1e4416e024505b5b0d46f1cc04b082a SHA512 
6d9098f19f29c4077e840215d9b7178a00754cc23cad0c44c61012582adfe16dd304ca08667068b1656d31d84dae0836081236f99555bec09d83710fb2355c35
 WHIRLPOOL 
7e8c98aa257ba84b4d9ec48820632d7adde10a35272c9bb033b75374e2041d95cd712a7b2beefa049bf7ac2981a81b648c88dab8a2d5fcec0ede76b30238db6d

diff --git a/x11-misc/xplanetFX/xplanetFX-2.6.6.ebuild 
b/x11-misc/xplanetFX/xplanetFX-2.6.6.ebuild
new file mode 100644
index 0000000..cebe17a
--- /dev/null
+++ b/x11-misc/xplanetFX/xplanetFX-2.6.6.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 )
+
+inherit eutils python-r1
+
+DESCRIPTION="User-friendly interface to configure, run or daemonize xplanet 
with HQ capabilities"
+HOMEPAGE="http://mein-neues-blog.de/xplanetFX/";
+SRC_URI="http://repository.mein-neues-blog.de:9000/archive/${P/FX/fx}_all.tar.gz";
+
+LICENSE="WTFPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="libnotify"
+
+DEPEND=""
+RDEPEND="${DEPEND}
+       dev-python/pygtk[${PYTHON_USEDEP}]
+       media-gfx/imagemagick
+       sys-devel/bc
+       x11-misc/xplanet
+       libnotify? ( x11-libs/libnotify )"
+#python
+
+S="${WORKDIR}/usr"
+
+src_prepare() {
+       epatch "${FILESDIR}"/${PN}-2.6.4-gentoo-path.patch
+       sed -e "s/Application;//" -i share/applications/*desktop || die
+
+       # These will be installed separately
+       mkdir gentoo || die
+       mv 
share/${PN}/{autostart,flipview.py,stars/catalog.py,xplanetFX_gtk,xplanetFX_tray}
 \
+               gentoo || die
+}
+
+src_install() {
+       dobin bin/${PN}
+       insinto /usr/share/applications
+       doins share/applications/${PN}.desktop
+       insinto /usr/share/pixmaps
+       doins share/pixmaps/*
+       insinto /usr/share/${PN}
+       doins -r share/${PN}/*
+
+       exeinto /usr/share/${PN}
+       doexe gentoo/autostart
+
+       dodoc share/doc/${PN}/{changelog,README}
+
+       python_scriptinto /usr/share/${PN}/stars
+       python_foreach_impl python_doscript gentoo/catalog.py
+       python_scriptinto /usr/share/${PN}
+       python_foreach_impl python_doscript 
gentoo/{xplanetFX_gtk,xplanetFX_tray}
+       python_foreach_impl python_domodule gentoo/flipview.py
+}

Reply via email to